export declare class TableauJwtGenerator {
    protected readonly ALGORITHM = "HS256";
    protected readonly TYPE = "JWT";
    create(secretId: string, appId: string, subject: string, expiresInSeconds: number, scope: string[], secretValue: string): string;
    protected createHeader(kid: string, iss: string): any;
    protected createOptions(header: any): any;
    protected createPayload(iss: string, sub: string, exp: number, jti: string, scp: string[]): any;
    protected getExpirationSeconds(expiresInSeconds: number): number;
}
